Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerAddedEvent Struct Reference

A new server entry was added. More...

Inheritance diagram for servermon::ServerMonitor::ServerAddedEvent:

## Public Attributes
int | id
| id of the added server entry
ServerSettings | settings
| Settings of the added server.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

A new server entry was added.

Definition at line 141 of file ServerMonitor.idl.

## Member Data Documentation

## ◆ id

int servermon::ServerMonitor::ServerAddedEvent::id

id of the added server entry

Definition at line 142 of file ServerMonitor.idl.

## ◆ settings

ServerSettings servermon::ServerMonitor::ServerAddedEvent::settings

Settings of the added server.

Definition at line 143 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl